Package: org.apache.groovy.swing.binding

## [Java] Class AggregateBinding

- org.apache.groovy.swing.binding.AggregateBinding

- All Implemented Interfaces and Traits:
    BindingUpdatable

      public class AggregateBinding
      extends Object
      implements BindingUpdatable

  An aggregation of multiple bindings

  Since:
    Groovy 1.6

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Set<BindingUpdatable>` | `bindings` | The member bindings managed by this aggregate.
    `protected boolean` | `bound` | Indicates whether the aggregate is currently bound.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addBinding(BindingUpdatable binding)` Adds a binding to the aggregate.
    `` | `public void` | `bind()` Binds every member binding in insertion order.
    `` | `public void` | `rebind()` Rebinds every member binding when the aggregate is currently active.
    `` | `public void` | `removeBinding(BindingUpdatable binding)` Removes a binding from the aggregate.
    `` | `public void` | `reverseUpdate()` Pushes reverse updates through every member binding.
    `` | `public void` | `unbind()` Unbinds every member binding in insertion order.
    `` | `public void` | `update()` Pushes source updates through every member binding.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected Set<BindingUpdatable> bindings

      The member bindings managed by this aggregate.

    - #### protected boolean bound

      Indicates whether the aggregate is currently bound.

  - ### Method Detail

    - #### public void addBinding(BindingUpdatable binding)

      Adds a binding to the aggregate.

      Parameters:
        `binding` - the binding to add

    - #### public void bind()

      Binds every member binding in insertion order.

    - #### public void rebind()

      Rebinds every member binding when the aggregate is currently active.

    - #### public void removeBinding(BindingUpdatable binding)

      Removes a binding from the aggregate.

      Parameters:
        `binding` - the binding to remove

    - #### public void reverseUpdate()

      Pushes reverse updates through every member binding.

    - #### public void unbind()

      Unbinds every member binding in insertion order.

    - #### public void update()

      Pushes source updates through every member binding.